




#include <flare_gui/collision_box.h>
#include <allegro_flare/color.h>







FGUICollisionBox::FGUICollisionBox(float x, float y, float w, float h)
	: FGUICollisionArea(x, y, w, h)
{}



bool FGUICollisionBox::collides(float x, float y)
{
	return placement.collide(x, y);
}



void FGUICollisionBox::draw_bounding_area()
{
	placement.draw_box(color::color(color::aliceblue, 0.2), true);
}


